Bug 100725 - ifconfig -s produces incorrect output
ifconfig -s produces incorrect output
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: net-tools (Show other bugs)
9
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Phil Knirsch
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-07-24 14:03 EDT by jmccann
Modified: 2015-03-04 20:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-08-19 08:26:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to fix problem (651 bytes, patch)
2003-07-24 14:33 EDT, jmccann
no flags Details | Diff

  None (edit)
Description jmccann 2003-07-24 14:03:46 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030701

Description of problem:
The columns of output from ifconfig -s are not aligned.

% ifconfig -s
Iface   MTU Met    RX-OK RX-ERR RX-DRP RX-OVR    TX-OK TX-ERR TX-DRP   TX-OVR Flg
eth0       1500   028696487   3913      0     1714285577      0      0       0 BMRU
lo        16436   014652103      0      0      014652103      0      0        0 LRU

This makes it appear that there is no value for Met and TX-DRP.

The same table on Debian:
gpoo@cronos:~$ ifconfig -s

Iface   MTU Met   RX-OK RX-ERR RX-DRP RX-OVR   TX-OK TX-ERR TX-DRP
TX-OVR Flg
eth0   1500 0    220612      0      0      0  562676      0      0     
0 BMRU
lo    16436 0       672      0      0      0     672      0      0     
0 LRU



Version-Release number of selected component (if applicable):
net-tools-1.60-18.1

How reproducible:
Always

Steps to Reproduce:
1.ifconfig -s

Additional info:
Comment 1 jmccann 2003-07-24 14:33:18 EDT
Created attachment 93113 [details]
Patch to fix problem

This should fix the problem.  It needs to be applied after the
net-tools-1.60-virtualname.patch in the SPEC file.
Comment 2 Phil Knirsch 2003-08-19 08:26:56 EDT
Fixed in net-tools-1.60-19 and later.

Read ya, Phil

Note You need to log in before you can comment on or make changes to this bug.